/**
 * ParticipationTargetDirect2.java
 *
 * File generated from the medication2::ParticipationTargetDirect2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ParticipationTargetDirect2.
 *
 * 
 */

@XmlType(name = "ParticipationTargetDirect")
@XmlEnum
@XmlRootElement(name = "ParticipationTargetDirect2")
public enum ParticipationTargetDirect2 {
	@XmlEnumValue("DIR")
	DIR("DIR"),
	@XmlEnumValue("BBY")
	BBY("BBY"),
	@XmlEnumValue("CSM")
	CSM("CSM"),
	@XmlEnumValue("DON")
	DON("DON"),
	@XmlEnumValue("PRD")
	PRD("PRD"),
	@XmlEnumValue("DEV")
	DEV("DEV"),
	@XmlEnumValue("NRD")
	NRD("NRD"),
	@XmlEnumValue("RDV")
	RDV("RDV"),
	@XmlEnumValue("SBJ")
	SBJ("SBJ"),
	@XmlEnumValue("SPC")
	SPC("SPC");
	
	private final String value;

    ParticipationTargetDirect2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static ParticipationTargetDirect2 fromValue(String v) {
        for (ParticipationTargetDirect2 c: ParticipationTargetDirect2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
